search knowledge group
curl --request POST \
--url https://api.anam.ai/v1/knowledge/groups/{id}/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "How do I reset my password?",
"limit": 5
}
'import requests
url = "https://api.anam.ai/v1/knowledge/groups/{id}/search"
payload = {
"query": "How do I reset my password?",
"limit": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: 'How do I reset my password?', limit: 5})
};
fetch('https://api.anam.ai/v1/knowledge/groups/{id}/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"documentId": "00000000-0000-0000-0000-000000000000",
"filename": "getting-started.pdf",
"content": "To reset your password, visit the account settings page and click \"Reset password\".",
"score": 0.87,
"chunkIndex": 3,
"metadata": {
"section": "Account"
}
}
]search knowledge group
Search for similar content in a RAG group using vector similarity
POST
/
v1
/
knowledge
/
groups
/
{id}
/
search
search knowledge group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the knowledge group
Body
application/json
Query string to search the group's documents, plus an optional cap on how many chunks to return. Only READY documents are included in the results.
Response
Successfully retrieved search results
ID of the document the chunk was extracted from.
Filename of the source document.
Text content of the matching chunk.
Similarity score for this chunk against the query, higher is more similar.
Zero-based index of the chunk within the source document.
Free-form metadata attached to the chunk at ingest time.
Last modified on September 4, 2026
Was this page helpful?

